/*******************************************************************************
 *  Copyright CONSORTIUM COCKTAIL (www.cocktail.org), 1995, 2008
 *  
 *  This software is governed by the CeCILL license under French law and abiding
 *  by the rules of distribution of free software. You can use, modify and/or
 *  redistribute the software under the terms of the CeCILL license as circulated
 *  by CEA, CNRS and INRIA at the following URL "http://www.cecill.info".
 *  
 *  As a counterpart to the access to the source code and rights to copy, modify
 *  and redistribute granted by the license, users are provided only with a
 *  limited warranty and the software's author, the holder of the economic
 *  rights, and the successive licensors have only limited liability.
 *  
 *  In this respect, the user's attention is drawn to the risks associated with
 *  loading, using, modifying and/or developing or reproducing the software by
 *  the user in light of its specific status of free software, that may mean that
 *  it is complicated to manipulate, and that also therefore means that it is
 *  reserved for developers and experienced professionals having in-depth
 *  computer knowledge. Users are therefore encouraged to load and test the
 *  software's suitability as regards their requirements in conditions enabling
 *  the security of their systems and/or data to be ensured and, more generally,
 *  to use and operate it in the same conditions as regards security.
 *  
 *  The fact that you are presently reading this means that you have had
 *  knowledge of the CeCILL license and that you accept its terms.
 * 
 *******************************************************************************/

package org.cocktail.kaki.client.gui;

import java.awt.BorderLayout;
import java.awt.Color;
import java.util.Date;
import java.util.Vector;

import javax.swing.BorderFactory;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;
import javax.swing.SwingConstants;

import org.cocktail.application.client.eof.EOLolfNomenclatureDepense;
import org.cocktail.application.client.eof.EOOrgan;
import org.cocktail.application.client.swing.TableSorter;
import org.cocktail.application.client.swing.ZEOTable;
import org.cocktail.application.client.swing.ZEOTableModel;
import org.cocktail.application.client.swing.ZEOTableModelColumn;
import org.cocktail.application.common.utilities.CocktailFormats;
import org.cocktail.kaki.client.metier.EOCodeAnalytique;
import org.cocktail.kaki.client.metier.EOMois;
import org.cocktail.kaki.client.metier.EOPafAgent;
import org.cocktail.kaki.client.metier.EOPafAgentHisto;
import org.cocktail.kaki.client.metier.EOPafAgentLbud;
import org.cocktail.kaki.client.metier.EOPafReimputLbud;
import org.cocktail.kaki.client.metier.EOPafReimputation;
import org.cocktail.kaki.common.KakiConstantes;
import org.cocktail.kaki.common.KakiIcones;

import com.webobjects.eointerface.EODisplayGroup;

/**
 *
 * @author  cpinsard
 */
public class ReimputationBsView extends javax.swing.JPanel {

	/**
	 * 
	 */
	private static final long serialVersionUID = 5437110486180297751L;
	protected EODisplayGroup eodReimputation, eodBudget, eodReimputLbud, eodEngage, eodMandat;
	protected ZEOTable myEOTableReimputation, myEOTableBudget, myEOTableReimputLbud, myEOTableEngage, myEOTableMandat;
	protected ZEOTableModel myTableModelReimputation, myTableModelReimputLbud, myTableModelBudget, myTableModelEngage, myTableModelMandat;
	protected TableSorter myTableSorterReimputation,myTableSorterReimputLbud, myTableSorterBudget, myTableSorterEngage, myTableSorterMandat;


    /** Creates new form TemplateJPanel */
    public ReimputationBsView(EODisplayGroup dgReimputation, EODisplayGroup dgBudget, EODisplayGroup dgReimputLbud) {

    	eodReimputation = dgReimputation;
    	eodBudget = dgBudget;
    	eodReimputLbud = dgReimputLbud;
    	
        initComponents();

        initGui();
        
    }


	/** This method is called from within the constructor to
     * initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is
     * always regenerated by the Form Editor.
     */

    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        buttonAddReimputation = new javax.swing.JButton();
        buttonDelReimputation = new javax.swing.JButton();
        viewTableBudget = new javax.swing.JPanel();
        viewTableReimputLbud = new javax.swing.JPanel();
        btnAddLbud = new javax.swing.JButton();
        btnUpdateLbud = new javax.swing.JButton();
        btnDelLbud = new javax.swing.JButton();
        btnReimputer = new javax.swing.JButton();
        jTextField1 = new javax.swing.JTextField();
        jTextField2 = new javax.swing.JTextField();
        btnPrint = new javax.swing.JButton();
        tfFiltreMois = new javax.swing.JTextField();
        tfFiltreNom = new javax.swing.JTextField();
        tfFiltreEtat = new javax.swing.JTextField();
        tfDisponible = new javax.swing.JLabel();
        viewTableReimputations = new javax.swing.JPanel();
        jLabel1 = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        jLabel3 = new javax.swing.JLabel();
        btnRechercher = new javax.swing.JButton();

        buttonAddReimputation.setToolTipText("Ajouter une nouvelle réimputation");

        buttonDelReimputation.setToolTipText("Supprimer la réimputation sélectionnée");

        viewTableBudget.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableBudget.setLayout(new java.awt.BorderLayout());

        viewTableReimputLbud.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableReimputLbud.setLayout(new java.awt.BorderLayout());

        btnAddLbud.setToolTipText("Ajouter une ligne budgétaire");

        btnUpdateLbud.setToolTipText("Modifier la ligne budgétaire");

        btnDelLbud.setToolTipText("Supprimer la ligne budgétaire");

        btnReimputer.setText("Réimputer");
        btnReimputer.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnReimputerActionPerformed(evt);
            }
        });

        jTextField1.setBackground(new java.awt.Color(255, 204, 204));
        jTextField1.setEditable(false);
        jTextField1.setText(" ANCIENNE Ligne Budgétaire");
        jTextField1.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jTextField1.setFocusable(false);
        jTextField1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jTextField1ActionPerformed(evt);
            }
        });

        jTextField2.setBackground(new java.awt.Color(153, 255, 153));
        jTextField2.setEditable(false);
        jTextField2.setText(" NOUVELLE Ligne Budgétaire");
        jTextField2.setBorder(new javax.swing.border.SoftBevelBorder(javax.swing.border.BevelBorder.RAISED));
        jTextField2.setFocusable(false);

        btnPrint.setToolTipText("Impression des réimputations sélectionnées");

        tfFiltreMois.setFont(new java.awt.Font("Tahoma", 0, 10));
        tfFiltreMois.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfFiltreNom.setFont(new java.awt.Font("Tahoma", 0, 10));
        tfFiltreNom.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfFiltreEtat.setFont(new java.awt.Font("Tahoma", 0, 10));
        tfFiltreEtat.setHorizontalAlignment(javax.swing.JTextField.CENTER);

        tfDisponible.setText("jLabel1");

        viewTableReimputations.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        viewTableReimputations.setLayout(new java.awt.BorderLayout());

        jLabel1.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel1.setText("Mois ?");

        jLabel2.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel2.setText("Nom ?");

        jLabel3.setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
        jLabel3.setText("Etat ?");

        btnRechercher.setText("Rechercher");

        org.jdesktop.layout.GroupLayout layout = new org.jdesktop.layout.GroupLayout(this);
        this.setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(viewTableReimputLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 731, Short.MAX_VALUE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(btnAddLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                            .add(btnDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(tfDisponible, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 199, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED, 428, Short.MAX_VALUE)
                        .add(btnReimputer, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 133, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextField2, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 760, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, jTextField1, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 760, Short.MAX_VALUE)
                    .add(viewTableBudget, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 760, Short.MAX_VALUE)
                    .add(org.jdesktop.layout.GroupLayout.TRAILING, layout.createSequentialGroup()
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                            .add(viewTableReimputations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 731, Short.MAX_VALUE)
                            .add(layout.createSequentialGroup()
                                .add(jLabel1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 70, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 72, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(jLabel3, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 62, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                                .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 75, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(18, 18, 18)
                                .add(btnRechercher, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 121, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                            .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                                .add(buttonAddReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                                .add(buttonDelReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                            .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))))
                .addContainerGap())
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
            .add(layout.createSequentialGroup()
                .addContainerGap()
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.BASELINE)
                    .add(jLabel1)
                    .add(tfFiltreMois, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 20, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel2)
                    .add(tfFiltreNom, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(jLabel3)
                    .add(tfFiltreEtat, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                    .add(btnRechercher))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(viewTableReimputations, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 130, Short.MAX_VALUE)
                    .add(layout.createSequentialGroup()
                        .add(buttonAddReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(buttonDelReimputation, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.UNRELATED)
                        .add(btnPrint, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)))
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextField1, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(viewTableBudget, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 80, Short.MAX_VALUE)
                .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                .add(jTextField2, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                .add(0, 0, 0)
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.TRAILING)
                    .add(layout.createSequentialGroup()
                        .add(btnAddLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnUpdateLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE)
                        .addPreferredGap(org.jdesktop.layout.LayoutStyle.RELATED)
                        .add(btnDelLbud, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE, 23, org.jdesktop.layout.GroupLayout.PREFERRED_SIZE))
                    .add(layout.createSequentialGroup()
                        .add(2, 2, 2)
                        .add(viewTableReimputLbud, org.jdesktop.layout.GroupLayout.DEFAULT_SIZE, 90, Short.MAX_VALUE)))
                .add(layout.createParallelGroup(org.jdesktop.layout.GroupLayout.LEADING)
                    .add(layout.createSequentialGroup()
                        .add(18, 18, 18)
                        .add(btnReimputer))
                    .add(layout.createSequentialGroup()
                        .add(6, 6, 6)
                        .add(tfDisponible)))
                .addContainerGap())
        );
    }// </editor-fold>//GEN-END:initComponents

    private void btnReimputerActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnReimputerActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_btnReimputerActionPerformed

    private void jTextField1ActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jTextField1ActionPerformed
        // TODO add your handling code here:
}//GEN-LAST:event_jTextField1ActionPerformed


    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAddLbud;
    private javax.swing.JButton btnDelLbud;
    private javax.swing.JButton btnPrint;
    private javax.swing.JButton btnRechercher;
    private javax.swing.JButton btnReimputer;
    private javax.swing.JButton btnUpdateLbud;
    private javax.swing.JButton buttonAddReimputation;
    private javax.swing.JButton buttonDelReimputation;
    private javax.swing.JLabel jLabel1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JLabel jLabel3;
    private javax.swing.JTextField jTextField1;
    private javax.swing.JTextField jTextField2;
    private javax.swing.JLabel tfDisponible;
    private javax.swing.JTextField tfFiltreEtat;
    private javax.swing.JTextField tfFiltreMois;
    private javax.swing.JTextField tfFiltreNom;
    private javax.swing.JPanel viewTableBudget;
    private javax.swing.JPanel viewTableReimputLbud;
    private javax.swing.JPanel viewTableReimputations;
    // End of variables declaration//GEN-END:variables

    
    
    
    private void initGui() {
    	                
        buttonAddReimputation.setIcon(KakiIcones.ICON_ADD);
        buttonDelReimputation.setIcon(KakiIcones.ICON_DELETE);
        btnAddLbud.setIcon(KakiIcones.ICON_ADD);

        btnPrint.setIcon(KakiIcones.ICON_PRINTER_16);

        btnUpdateLbud.setIcon(KakiIcones.ICON_UPDATE);
        btnDelLbud.setIcon(KakiIcones.ICON_DELETE);
        
        btnReimputer.setIcon(KakiIcones.ICON_PARAMS_16);
        btnRechercher.setIcon(KakiIcones.ICON_LOUPE_16);
        
		Vector<ZEOTableModelColumn> myCols = new Vector<ZEOTableModelColumn>();
		
		ZEOTableModelColumn col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.TO_MOIS_KEY + "."+EOMois.MOIS_LIBELLE_KEY, "Mois", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
                
		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.PAGE_NOM_KEY, "Nom", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.PAGE_PRENOM_KEY, "Prénom", 150);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.PRE_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.AGENT_KEY+"."+EOPafAgent.HISTORIQUES_KEY+"."+EOPafAgentHisto.PAYE_COUT_KEY, "Coût BS", 75);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.PRE_ETAT_KEY, "ETAT", 75);
		col.setAlignment(SwingConstants.CENTER);
		myCols.add(col);

		col = new ZEOTableModelColumn(eodReimputation, EOPafReimputation.D_MODIFICATION_KEY, "Modif", 90);
		col.setAlignment(SwingConstants.CENTER);
		col.setFormatDisplay(CocktailFormats.FORMAT_DATE_DDMMYYYY_HHMM);
		col.setColumnClass(Date.class);		
		myCols.add(col);

		myTableModelReimputation = new ZEOTableModel(eodReimputation, myCols);
		myTableSorterReimputation = new TableSorter(myTableModelReimputation);

		myEOTableReimputation= new ZEOTable(myTableSorterReimputation);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterReimputation.setTableHeader(myEOTableReimputation.getTableHeader());		

		myEOTableReimputation.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableReimputation.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableReimputation.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableReimputations.setLayout(new BorderLayout());
		viewTableReimputations.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableReimputations.removeAll();
		viewTableReimputations.add(new JScrollPane(myEOTableReimputation), BorderLayout.CENTER);

		
		
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodBudget, EOPafAgentLbud.ORGAN_KEY + "."+ EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOPafAgentLbud.ORGAN_KEY + "."+ EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOPafAgentLbud.ORGAN_KEY + "."+ EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eodBudget, "stringTypeCredit", "TCD", 60);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOPafAgentLbud.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOPafAgentLbud.CODE_ANALYTIQUE_KEY +"." + EOCodeAnalytique.CAN_CODE_KEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, "referenceConvention", "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodBudget, EOPafAgentLbud.PAGL_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelBudget = new ZEOTableModel(eodBudget, myCols);
		myTableSorterBudget = new TableSorter(myTableModelBudget);

		myEOTableBudget= new ZEOTable(myTableSorterBudget);
		//myEOTable.addListener(myListenerContrat);
		myTableSorterBudget.setTableHeader(myEOTableBudget.getTableHeader());		

		myEOTableBudget.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableBudget.setForeground(new Color(120,120,120));
		myEOTableBudget.setSelectionMode(ListSelectionModel.MULTIPLE_INTERVAL_SELECTION);
		
		viewTableBudget.setLayout(new BorderLayout());
		viewTableBudget.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableBudget.removeAll();
		viewTableBudget.add(new JScrollPane(myEOTableBudget), BorderLayout.CENTER);

		myEOTableBudget.setEnabled(false);
		
		
		
		
		myCols = new Vector<ZEOTableModelColumn>();
		
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.ORGAN_KEY + "."+ EOOrgan.ORG_UB_KEY, "UB", 50);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.ORGAN_KEY + "."+ EOOrgan.ORG_CR_KEY, "CR", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.ORGAN_KEY + "."+ EOOrgan.ORG_SOUSCR_KEY, "SOUS CR", 125);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
//		col = new ZEOTableModelColumn(eodReimputLbud, "stringTypeCredit", "TCD", 60);
//		col.setAlignment(SwingConstants.CENTER);
//		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.LOLF_KEY+"."+EOLolfNomenclatureDepense.LOLF_CODE_KEY, "Action", 75);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.CODE_ANALYTIQUE_KEY +"." + EOCodeAnalytique.CAN_CODE_KEY, "Canal", 110);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, "referenceConvention", "Conv", 80);
		col.setAlignment(SwingConstants.LEFT);
		myCols.add(col);
		col = new ZEOTableModelColumn(eodReimputLbud, EOPafReimputLbud.PRL_QUOTITE_KEY, "Quot", 50);
		col.setAlignment(SwingConstants.RIGHT);
		myCols.add(col);

		myTableModelReimputLbud = new ZEOTableModel(eodReimputLbud, myCols);
		myTableSorterReimputLbud = new TableSorter(myTableModelReimputLbud);

		myEOTableReimputLbud= new ZEOTable(myTableSorterReimputLbud);
		//myEOTableReimputLbud.addListener(myListenerContrat);
		myTableSorterReimputLbud.setTableHeader(myEOTableReimputLbud.getTableHeader());		

		myEOTableReimputLbud.setBackground(KakiConstantes.COLOR_FOND_NOMENCLATURES);
		myEOTableReimputLbud.setSelectionBackground(KakiConstantes.COLOR_SELECTED_ROW);
		myEOTableReimputLbud.setSelectionMode(ListSelectionModel.SINGLE_INTERVAL_SELECTION);
		
		viewTableReimputLbud.setLayout(new BorderLayout());
		viewTableReimputLbud.setBorder(BorderFactory.createEmptyBorder(2,2,2,2));
		viewTableReimputLbud.removeAll();
		viewTableReimputLbud.add(new JScrollPane(myEOTableReimputLbud), BorderLayout.CENTER);

    }


	public ZEOTable getMyEOTableReimputation() {
		return myEOTableReimputation;
	}


	public void setMyEOTableReimputation(ZEOTable myEOTableReimputation) {
		this.myEOTableReimputation = myEOTableReimputation;
	}


	public ZEOTable getMyEOTableBudget() {
		return myEOTableBudget;
	}


	public javax.swing.JLabel getTfDisponible() {
		return tfDisponible;
	}


	public void setTfDisponible(javax.swing.JLabel tfDisponible) {
		this.tfDisponible = tfDisponible;
	}


	public void setMyEOTableBudget(ZEOTable myEOTableBudget) {
		this.myEOTableBudget = myEOTableBudget;
	}


	public ZEOTable getMyEOTableReimputLbud() {
		return myEOTableReimputLbud;
	}


	public void setMyEOTableReimputLbud(ZEOTable myEOTableReimputLbud) {
		this.myEOTableReimputLbud = myEOTableReimputLbud;
	}


	public ZEOTable getMyEOTableEngage() {
		return myEOTableEngage;
	}


	public void setMyEOTableEngage(ZEOTable myEOTableEngage) {
		this.myEOTableEngage = myEOTableEngage;
	}


	public ZEOTable getMyEOTableMandat() {
		return myEOTableMandat;
	}


	public void setMyEOTableMandat(ZEOTable myEOTableMandat) {
		this.myEOTableMandat = myEOTableMandat;
	}


	public javax.swing.JButton getBtnAddLbud() {
		return btnAddLbud;
	}


	public void setBtnAddLbud(javax.swing.JButton btnAddLbud) {
		this.btnAddLbud = btnAddLbud;
	}


	public javax.swing.JButton getBtnDelLbud() {
		return btnDelLbud;
	}


	public void setBtnDelLbud(javax.swing.JButton btnDelLbud) {
		this.btnDelLbud = btnDelLbud;
	}


	
	
	public javax.swing.JTextField getTfFiltreEtat() {
		return tfFiltreEtat;
	}


	public void setTfFiltreEtat(javax.swing.JTextField tfFiltreEtat) {
		this.tfFiltreEtat = tfFiltreEtat;
	}


	public javax.swing.JTextField getTfFiltreMois() {
		return tfFiltreMois;
	}


	public void setTfFiltreMois(javax.swing.JTextField tfFiltreMois) {
		this.tfFiltreMois = tfFiltreMois;
	}


	public javax.swing.JTextField getTfFiltreNom() {
		return tfFiltreNom;
	}


	public void setTfFiltreNom(javax.swing.JTextField tfFiltreNom) {
		this.tfFiltreNom = tfFiltreNom;
	}


	public javax.swing.JButton getBtnReimputer() {
		return btnReimputer;
	}


	public void setBtnReimputer(javax.swing.JButton btnReimputer) {
		this.btnReimputer = btnReimputer;
	}


	public javax.swing.JButton getBtnUpdateLbud() {
		return btnUpdateLbud;
	}


	public void setBtnUpdateLbud(javax.swing.JButton btnUpdateLbud) {
		this.btnUpdateLbud = btnUpdateLbud;
	}


	public javax.swing.JButton getButtonAddReimputation() {
		return buttonAddReimputation;
	}


	public ZEOTableModel getMyTableModelReimputation() {
		return myTableModelReimputation;
	}


	public void setMyTableModelReimputation(ZEOTableModel myTableModelReimputation) {
		this.myTableModelReimputation = myTableModelReimputation;
	}


	public ZEOTableModel getMyTableModelReimputLbud() {
		return myTableModelReimputLbud;
	}


	public void setMyTableModelReimputLbud(ZEOTableModel myTableModelReimputLbud) {
		this.myTableModelReimputLbud = myTableModelReimputLbud;
	}


	public ZEOTableModel getMyTableModelBudget() {
		return myTableModelBudget;
	}


	public void setMyTableModelBudget(ZEOTableModel myTableModelBudget) {
		this.myTableModelBudget = myTableModelBudget;
	}


	
	
	public javax.swing.JButton getBtnPrint() {
		return btnPrint;
	}


	public void setBtnPrint(javax.swing.JButton btnPrint) {
		this.btnPrint = btnPrint;
	}


	public void setButtonAddReimputation(javax.swing.JButton buttonAddReimputation) {
		this.buttonAddReimputation = buttonAddReimputation;
	}

	public javax.swing.JButton getButtonDelReimputation() {
		return buttonDelReimputation;
	}


	public void setButtonDelReimputation(javax.swing.JButton buttonDelReimputation) {
		this.buttonDelReimputation = buttonDelReimputation;
	}


	public javax.swing.JButton getBtnRechercher() {
		return btnRechercher;
	}


	public void setBtnRechercher(javax.swing.JButton btnRechercher) {
		this.btnRechercher = btnRechercher;
	}
    
    
    

}
